Create a sample run
POST
/v1/data-formats/{formatId}/sample-runscurl -X POST 'https://api.embodiflow.io/v1/data-formats/{formatId}/sample-runs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"recordingId": "00000000-0000-0000-0000-000000000000"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- formatIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- recordingIdstring (uuid)必填
响应
Success
- dataobject必填
- idstring必填
- formatIdstring必填
- recordingIdstring必填
- workflowRunIdstring必填
- statestring必填可选值queuedrunningfailedpassed
- converterone of必填
- reportobject必填
- createdAtstring必填
响应示例
{
"data": {
"id": "string",
"formatId": "string",
"recordingId": "string",
"workflowRunId": "string",
"state": "queued",
"converter": {
"kind": "rig_profile",
"rigProfileRevisionId": "string"
},
"report": {
"verdict": "fail",
"episodes": 0,
"frames": 0,
"features": [
"string"
],
"droppedTopics": [
"string"
],
"rules": [
{
"id": "string",
"verdict": "string",
"message": "string"
}
],
"errorCode": "string"
},
"createdAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1